- Main Page
- Modules
- Files
- Related Pages
- Examples

# grib_get

## DESCRIPTION

Get values of some keys from a grib file. It is similar to grib_ls, but fails returning an error code when an error occurs (e.g. key not found).

## USAGE

grib_get [options] grib_file grib_file ...

## OPTIONS

-f
Force. Force the execution not to fail on error.
-p key[:{s/d/l}],key[:{s/d/l}],...
Declaration of keys to print. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be requested. Default type is string.
-F format
C style format for floating point values.
-l Latitude,Longitude[,MODE,file]
Value close to the point of a Latitude/Longitude. Allowed values for MODE are: 4 (4 values in the nearest points are printed) Default 1 (the value at the nearest point is printed) file (file is used as mask. The closer point with mask value>=0.5 is printed)
-P key[:{s/d/l}],key[:{s/d/l}],...
As -p adding the declared keys to the default list.
-w key[:{s/d/l}]{=/!=}value,key[:{s/d/l}]{=/!=}value,...
Where clause. Grib messages are processed only if they match all the key/value constraints. A valid constraint is of type key=value or key!=value. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be specified. Default type is string.
-n namespace
All the keys belonging to namespace are printed.
-V
Version.
-W width
Minimum width of each column in output. Default is 10.
-m
Mars keys are printed.
-M
Multi-grib support off. Turn off support for multiple fields in single grib message
-g
Copy GTS header.
-G
GRIBEX compatibility mode.
-7
Does not fail when the message has wrong length

## grib_get examples

1. grib_get fails if a key is not found.

       >grib_get -p gribname ../data/tigge_pf_ecmwf.grib2

2. To get the step of the first GRIB message in a file:

       >grib_get -w count=1 -p step ../data/tigge_pf_ecmwf.grib2